找回密码
 注册
查看: 1902|回复: 3

莫名其妙的 qwebview 段错误,傻办法重新编译。。。

[复制链接]
发表于 2012-5-7 14:51:58 | 显示全部楼层 |阅读模式
没办法,虽然都是 gdk 之类接口段错误,可是好象又和 gtk2 相关组件又无关,我现在能做的只能是推倒重来,从 2.5.11 重新编译至 2.5.13,这里面东西也太多了。。。,一天都编译不完。
中间也发现 web.qq.com 段错误,但是能定位到出错位置,加了个链接 mplayer 就正常调用播放了
  1. ln -s /usr/lib/libopenjpeg.so.1.5.0 /usr/lib/libopenjpeg.so.2
复制代码
/usr/lib/libopenjpeg.so.2 也不知道哪来的,我的版本号可是最新的。。。
用 Live 回到 2.5.13 如法炮制,不行还是段错误,继续回到 2.5. ?,继续编译。。。
发表于 2012-5-7 22:01:50 | 显示全部楼层
openjpeg 这个库我记得是 poppler 的依赖 ...
回复 支持 反对

使用道具 举报

 楼主| 发表于 2012-5-7 22:37:43 | 显示全部楼层
无用功,没有定位到问题包。
回复 支持 反对

使用道具 举报

 楼主| 发表于 2012-5-8 07:11:41 | 显示全部楼层
无力解决这个问题,只能说等到 qt5 时别再有这种毛病了。
用习惯了 magiclinux 2.5.13 回到 2.5.11 发现显示方面 2.5.13 要好很多,2.5.11 的界面显得灰暗一些,字体清晰度也不如 2.5.13,这个是 kde4 发展的功劳吧。
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

GMT+8, 2022-8-19 16:30 , Processed in 0.067796 second(s), 15 queries .

© 2021 Powered by Discuz! X3.4.

快速回复 返回顶部 返回列表